/*
 *
 *    OPEN-XCHANGE legal information
 *
 *    All intellectual property rights in the Software are protected by
 *    international copyright laws.
 *
 *
 *    In some countries OX, OX Open-Xchange, open xchange and OXtender
 *    as well as the corresponding Logos OX Open-Xchange and OX are registered
 *    trademarks of the OX Software GmbH group of companies.
 *    The use of the Logos is not covered by the GNU General Public License.
 *    Instead, you are allowed to use these Logos according to the terms and
 *    conditions of the Creative Commons License, Version 2.5, Attribution,
 *    Non-commercial, ShareAlike, and the interpretation of the term
 *    Non-commercial applicable to the aforementioned license is published
 *    on the web site http://www.open-xchange.com/EN/legal/index.html.
 *
 *    Please make sure that third-party modules and libraries are used
 *    according to their respective licenses.
 *
 *    Any modifications to this package must retain all copyright notices
 *    of the original copyright holder(s) for the original code used.
 *
 *    After any such modifications, the original and derivative code shall remain
 *    under the copyright of the copyright holder(s) and/or original author(s)per
 *    the Attribution and Assignment Agreement that can be located at
 *    http://www.open-xchange.com/EN/developer/. The contributing author shall be
 *    given Attribution for the derivative code and a license granting use.
 *
 *     Copyright (C) 2016-2020 OX Software GmbH
 *     Mail: info@open-xchange.com
 *
 *
 *     This program is free software; you can redistribute it and/or modify it
 *     under the terms of the GNU General Public License, Version 2 as published
 *     by the Free Software Foundation.
 *
 *     This program is distributed in the hope that it will be useful, but
 *     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *     for more details.
 *
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc., 59
 *     Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.openexchange.usm.ox_json.impl;

public class OXJSONErrorCode {

    public final static int ABSTRACT_JSONRESULT_NUMBER_0 = 0x180000;

    public final static int ABSTRACT_JSONRESULT_NUMBER_1 = 0x180001;

    public final static int ABSTRACT_JSONRESULT_NUMBER_2 = 0x180002;

    public final static int ACCESSIMPL_ERROR_WHILE_AUTHENTICATING_NUMBER_3 = 0x180003;

    public final static int ACCESSIMPL_ILLEGAL_DATA_BY_OXCONFIG_RESPONSE_NUMBER_4 = 0x180004;

    public final static int ACCESSIMPL_AUTHENTICATION_FAILED_NUMBER_5 = 0x180005;

    public final static int ACCESSIMPL_RESPONSE_NOT_CONTAIN_SESSIONID_NUMBER_6 = 0x180006;

    public final static int ACCESSIMPL_UNSUPPORTED_ENCODING_NUMBER_7 = 0x180007;

    public final static int ACCESSIMPL_OXAJAXACCESS_NOTACTIVATED_ENCODING_NUMBER_8 = 0x180008;

    public final static int ACCESSIMPL_UTF8_ENCODING_NOTFOUND_NUMBER_9 = 0x180009;

    public final static int ACCESSIMPL_UTF8_ENCODING_NOTFOUND_NUMBER_10 = 0x18000A;

    public final static int ACCESSIMPL_HTTP_CONNECTION_ERROR_11 = 0x18000B;

    public final static int ACCESSIMPL_CONFLICT_CHANGE_ON_OXACCESS_NUMBER_12 = 0x18000C;

    public final static int ACCESSIMPL_HTTPEXCEPTION_OCCURED_NUMBER_13 = 0x18000D;

    public final static int ACCESSIMPL_EXECUTE_METHOD_ERROR_NUMBER_14 = 0x18000E;

    public final static int ACCESSIMPL_INVALID_STATUSCODE_NUMBER_15 = 0x18000F;

    public final static int ACCESSIMPL_INVALID_URL_NUMBER_16 = 0x180010;

    public final static int ACCESSIMPL_GETRESOURCE_ERROR_NUMBER_17 = 0x180011;

    public final static int ACCESSIMPL_GETRESOURCE_ERROR_NUMBER_18 = 0x180012;

    public final static int ACCESSIMPL_INVALID_STATUSCODE_NUMBER_19 = 0x180013;

    public final static int ACCESSIMPL_INVALID_URL_NUMBER_20 = 0x180014;

    public final static int ACCESSIMPL_STORE_RESOURCE_ERROR_NUMBER_21 = 0x180015;

    public final static int ACCESSIMPL_STORE_RESOURCE_ERROR_NUMBER_22 = 0x180016;

    public final static int ACCESSIMPL_INVALID_RESULTOF_POST_REQUEST_NUMBER_23 = 0x180017;

    public final static int ACCESSIMPL_RESULTOF_POST_NOTCONTAIN_VALID_JSONOBJECT_NUMBER_24 = 0x180018;

    public final static int ACCESSIMPL_RESULTOF_POST_NOTCONTAIN_EXPECTED_ACTION_NUMBER_25 = 0x180019;

    public final static int ACCESSIMPL_INVALID_CONTENT_TYPE_RECEIVED = 0x180020;

    public final static int ACCESSIMPL_ERROR_ON_READING_RESOURCE = 0x180021;

    public final static int ACCESSIMPL_INVALID_RESULT_FROM_SERVER = 0x180022;

    public final static int ACCESSIMPL_AUTHENTICATION_FAILED = 0x180023;

    public final static int ACCESSIMPL_INVALID_RESULT_FROM_SERVER_2 = 0x180024;

    public final static int ACCESSIMPL_NO_CONTENT_TYPE_RECEIVED = 0x180025;

    public final static int ACCESSIMPL_TOO_MANY_DOWN_OR_BUSY_RETRIES = 0x180026;

    public static final int ACCESSIMPL_CAN_NOT_READ_RESOURCE = 0x180027;

    public static final int ACCESSIMPL_CAN_NOT_OPEN_RESOURCE = 0x180028;

    public final static int CONFIGURATION_ERROR = 0x180030;

    public static final int FAILED_TO_GAIN_EXCLUSIVE_OX_ACCESS = 0x180031;

    public static final int INTERRUPTED_WHILE_WAITING_FOR_ACCESS = 0x180032;

}
